main {
  margin-top: 5px;
  margin-right: 10px;
  height: 40px;
  width: max-content;
  border-radius: 10px;
  padding-inline: 10px;
  display: flex;
  align-items: center;
  gap: 7px;

  &:hover {
    background-color: rgba(255, 255, 255, 0.1);
  }

  div {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    .time {
      color: var(--colors-text);
      font-size: 11px;
    }
  }

  .notifications-count {
    background-color: var(--colors-second-background);
    color: var(--colors-text);
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    border-radius: 50%;
  }
}

.notifications {
  position: absolute;
  width: 450px;
  max-height: 500px;
  min-height: 50px;
  right: 0;
  bottom: 60px;
  overflow-y: scroll;
  background-color: var(--colors-first-background);
  border: 3px solid var(--colors-second-background);
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  transform: translateY(570px);
  transition: transform 250ms ease-in-out;

  .notifications-header {
    display: block;
    width: 100%;
    height: 30px;
    text-align: center;
    font-size: 25px;
    line-height: 30px;
    color: var(--colors-text);
    background-color: var(--colors-second-background);
  }
}
